summaryrefslogtreecommitdiff
path: root/platform/linux/scripts/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'platform/linux/scripts/setup.sh')
-rwxr-xr-xplatform/linux/scripts/setup.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/platform/linux/scripts/setup.sh b/platform/linux/scripts/setup.sh
new file mode 100755
index 0000000000..af0eafb5cf
--- /dev/null
+++ b/platform/linux/scripts/setup.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+# This script is sourced; do not set -e or -o pipefail here.
+
+# Ensure mason is on the PATH
+export PATH="`pwd`/.mason:${PATH}" MASON_DIR="`pwd`/.mason"
+
+# Set the core file limit to unlimited so a core file is generated upon crash
+ulimit -c unlimited -S
+
+################################################################################
+# X Server setup
+################################################################################
+
+# Start the mock X server
+if [ -f /etc/init.d/xvfb ] ; then
+ mapbox_time "start_xvfb" \
+ sh -e /etc/init.d/xvfb start
+ sleep 2 # sometimes, xvfb takes some time to start up
+fi
+
+# Make sure we're connecting to xvfb
+export DISPLAY=:99.0
+
+# Make sure we're loading the 10.4.3 libs we installed manually
+export LD_LIBRARY_PATH="`mason prefix mesa 10.4.3`/lib:${LD_LIBRARY_PATH:-}"
+
+mapbox_time "glxinfo" \
+glxinfo